Skip to main content
GET
/
1
/
derived_columns
/
{datasetSlug}
List all Calculated Fields
curl --request GET \
  --url https://api.honeycomb.io/1/derived_columns/{datasetSlug} \
  --header 'X-Honeycomb-Team: <api-key>'
[
  {
    "id": "<string>",
    "alias": "<string>",
    "expression": "<string>",
    "created_at": "<string>",
    "updated_at": "<string>",
    "description": ""
  }
]

Authorizations

X-Honeycomb-Team
string
header
required

A Honeycomb Configuration Key is required to use this API. A Configuration Key can be found in the API Keys section of the environment configuration, which can be found under Environment Settings -> API Keys -> Configuration tab. Check out our documentation to find your API Keys.

More information can be found in Manage Environments.

Path Parameters

datasetSlug
string
required

The dataset slug or use __all__ for endpoints that support environment-wide operations.

Query Parameters

alias
string

The Calculated Field alias.

Response

When listing all columns, an array of CalculatedField objects will be returned. When using key_name, will return a single CalculatedField object if found.

id
string
required

Unique identifier (ID), returned in response bodies.

alias
string
required

The human-readable name of the Calculated Field (also called Derived Column), as it will be referenced when building queries.

Required string length: 1 - 255
expression
string
required

The expression to evaluate to construct this Calculated Field's value. (Calculated Field is also called Derived Column.) Refer to the Calculated Field Reference.

Required string length: 1 - 4095
created_at
string
required

ISO8601 formatted time when the field was created.

updated_at
string
required

ISO8601 formatted time when the field was updated.

description
string
default:""

A human-readable description for the Calculated Field that displays in the UI.

Maximum string length: 255